shishi_key_print(3)

NAME
shishi_key_print - API function

SYNOPSIS
#include <shishi.h>

int shishi_key_print(Shishi * handle, FILE * fh, const Shishi_key * key);

ARGUMENTS

Shishi * handle
    Shishi handle as allocated by shishi_init().

FILE * fh
    File handle open for writing.

const Shishi_key * key
    Key to print.

DESCRIPTION
Prints an ASCII representation of a key structure key to the file descriptor fh. Example output:

-----BEGIN SHISHI KEY-----

KEYTYPE
18 (aes256-cts-hmac-sha1-96)

PRINCIPAL
host/latte.josefsson.org

REALM
JOSEFSSON.ORG Key-Version-Number: 1

TIMESTAMP
20130420150337Z

P1QdeW/oSiag/bTyVEBAY2msiGSTmgLXlopuCKoppDs= -----END SHISHI KEY-----

RETURN VALUE
Returns SHISHI_OK if successful. The only failure is SHISHI_MALLOC_ERROR.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.